summaryrefslogtreecommitdiffstats
path: root/office/texworks
diff options
context:
space:
mode:
author digwtx <wtx358@qq.com>2010-04-24 16:41:59 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:50:15 +0200
commit11bb25c1138e0bd14728943f1d5c251f1f55ecca (patch)
tree57523df107e05af5b2184c66cbcbab6d80d06c65 /office/texworks
parent101567e1e41a89fb696e354bdb2e46350bf9e741 (diff)
downloadslackbuilds-11bb25c1138e0bd14728943f1d5c251f1f55ecca.tar.gz
slackbuilds-11bb25c1138e0bd14728943f1d5c251f1f55ecca.tar.xz
office/texworks: Added (TeX editor)
Diffstat (limited to 'office/texworks')
-rw-r--r--office/texworks/README6
-rw-r--r--office/texworks/doinst.sh3
-rw-r--r--office/texworks/slack-desc19
-rw-r--r--office/texworks/texworks.SlackBuild67
-rw-r--r--office/texworks/texworks.desktop8
-rw-r--r--office/texworks/texworks.info10
6 files changed, 113 insertions, 0 deletions
diff --git a/office/texworks/README b/office/texworks/README
new file mode 100644
index 0000000000..7650b13e51
--- /dev/null
+++ b/office/texworks/README
@@ -0,0 +1,6 @@
+TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
+documents, with a Unicode-based, TeX-aware editor, integrated PDF
+viewer, and a clean, simple interface accessible to casual and
+non-technical users.
+
+texworks need "hunspell" to compile.
diff --git a/office/texworks/doinst.sh b/office/texworks/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/texworks/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/texworks/slack-desc b/office/texworks/slack-desc
new file mode 100644
index 0000000000..f215e752a7
--- /dev/null
+++ b/office/texworks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+texworks: TeXworks (TeX editor)
+texworks:
+texworks: TeXworks is a simple environment for editing, typesetting,
+texworks: and previewing TeX documents.
+texworks:
+texworks: Homepage: http://code.google.com/p/texworks/
+texworks:
+texworks:
+texworks:
+texworks:
+texworks:
diff --git a/office/texworks/texworks.SlackBuild b/office/texworks/texworks.SlackBuild
new file mode 100644
index 0000000000..67cf4f8b1f
--- /dev/null
+++ b/office/texworks/texworks.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for TeXworks
+
+# Written by digwtx (wtx358@qq.com)
+
+PRGNAM=texworks
+VERSION=${VERSION:-0.2.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -pipe"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -pipe"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+qmake -unix PREFIX=/usr \
+ QMAKE_CFLAGS_RELEASE="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS_RELEASE="$SLKCFLAGS"
+
+make || exit 1
+
+mkdir -pv $PKG/usr/bin
+mkdir -pv $PKG/usr/share/pixmaps
+mkdir -pv $PKG/usr/share/applications
+
+cp texworks $PKG/usr/bin/
+cp res/images/TeXworks.png $PKG/usr/share/pixmaps
+cp $CWD/texworks.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -pv $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texworks/texworks.desktop b/office/texworks/texworks.desktop
new file mode 100644
index 0000000000..26e717c2f5
--- /dev/null
+++ b/office/texworks/texworks.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Version=0.2.3
+Name=TeXWorks
+Comment=Run TeXWorks
+Icon=TeXworks.png
+Exec=texworks
+Terminal=false
diff --git a/office/texworks/texworks.info b/office/texworks/texworks.info
new file mode 100644
index 0000000000..ab3cc5c649
--- /dev/null
+++ b/office/texworks/texworks.info
@@ -0,0 +1,10 @@
+PRGNAM="texworks"
+VERSION="0.2.3"
+HOMEPAGE="http://code.google.com/p/texworks/"
+DOWNLOAD="http://texworks.googlecode.com/files/texworks-0.2.3.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="feb87fdb90725ddb75df6956656253fe"
+MD5SUM_x86_64=""
+MAINTAINER="digwtx"
+EMAIL="wtx358@qq.com"
+APPROVED="dsomero"